Bug 1968515 - oc should set user-agent when talking with registry
Summary: oc should set user-agent when talking with registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1970811
TreeView+ depends on / blocked
 
Reported: 2021-06-07 13:29 UTC by Maciej Szulik
Modified: 2021-07-27 23:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 841 0 None open Bug 1968515: set User-Agent when talking with registries 2021-06-07 13:31:27 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:04 UTC

Description Maciej Szulik 2021-06-07 13:29:45 UTC
Currently oc introduces itself as go-http-client/2.0 but should oc4.7/4.7.0 (linux/amd64) kubernetes/2513fdb just like when talking with kube-apiserver.

Comment 3 RamaKasturi 2021-06-11 12:27:50 UTC
[knarra@knarra openshift-client-linux-4.8.0-0.nightly-2021-06-11-024306]$ ./oc version -o yaml
clientVersion:
  buildDate: "2021-06-10T07:01:41Z"
  compiler: gc
  gitCommit: 10cec43f6fce6df1f8f9d769b70640579c827355
  gitTreeState: clean
  gitVersion: 4.8.0-202106100628.p0.git.10cec43.assembly.stream-10cec43
  goVersion: go1.16.4
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.8.0-0.nightly-2021-06-11-024306
releaseClientVersion: 4.8.0-0.nightly-2021-06-11-024306
serverVersion:
  buildDate: "2021-06-10T13:52:39Z"
  compiler: gc
  gitCommit: a5ec692e05fadcc702bae6f655e000eb306f7924
  gitTreeState: clean
  gitVersion: v1.21.0-rc.0+a5ec692
  goVersion: go1.16.4
  major: "1"
  minor: 21+
  platform: linux/amd64


[knarra@knarra openshift-client-linux-4.8.0-0.nightly-2021-06-11-024306]$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-11-024306   True        False         4h9m    Cluster version is 4.8.0-0.nightly-2021-06-11-024306

Comment 6 errata-xmlrpc 2021-07-27 23:11:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.